<div class="md:flex justify-between items-center">
  <h1 class="text-3xl py-6 md:w-1/3"><%= plural_name.titleize %></h1>

  <div class="md:w-1/3">
    <%%= link_to "New <%= name %>", new_admin_<%= singular_name %>_path, class: "inline-flex items-center px-4 py-2 my-8 md:mb-2 md:mt-0  border border-colorSecondary text-base font-medium rounded-md shadow-sm text-colorSecondary bg-white hover:text-colorPrimary hover:border-colorPrimary" %>
  </div>

  <div class="flex-1 flex items-center justify-end md:pl-2">
    <div class="max-w-lg w-full lg:max-w-xs mt-6">
      <%%= search_form_for [:admin, @q] do |f| %>
        <label for="search" class="sr-only">Search</label>
        <div class="relative">
          <div class="absolute inset-y-0 left-0 pl-3 flex items-center pointer-events-none">
            <!-- Heroicon name: solid/search -->
            <svg class="h-5 w-5 text-gray-400" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20" fill="currentColor" aria-hidden="true">
              <path fill-rule="evenodd" d="M8 4a4 4 0 100 8 4 4 0 000-8zM2 8a6 6 0 1110.89 3.476l4.817 4.817a1 1 0 01-1.414 1.414l-4.816-4.816A6 6 0 012 8z" clip-rule="evenodd" />
            </svg>
          </div>
          <%%= f.search_field :<%= field_names.join("_or_") %>_cont,
            class:"block w-full pl-10 pr-3 py-2 border border-gray-300 rounded-md leading-5 bg-white placeholder-gray-500 text-gray-700 focus:outline-none focus:placeholder-gray-400 focus:ring-1 focus:ring-colorSecondary focus:border-colorSecondary sm:text-sm",
            placeholder:"Search",
            type: "search"
          %>
        </div>
      <%% end %>
    </div>
  </div>
</div>


<div class="flex flex-col">
  <div class="overflow-x-auto md:-mx-6 lg:-mx-8">
    <div class="py-2 align-middle inline-block min-w-full sm:px-6 lg:px-8">
      <div class="shadow overflow-hidden border-b border-gray-200 sm:rounded-lg">

        <table class="min-w-full divide-y divide-gray-200">
          <thead class="bg-gray-50">
            <tr>
              <% field_names.each do |field_name| %>
                <th class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">
                    <%%= sort_link @q, :<%= field_name %> %>
                  </th>
              <% end %>

              <th class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">
                Actions
              </th>
            </tr>
          </thead>

          <tbody class="zebra-stripe bg-white divide-y divide-gray-200">
            <%%= render @<%= table_name %> %>
          </tbody>
        </table>
      </div>

      <%%== pagy_nav(@pagy) %>

    </div>
  </div>
</div>
